# Created by pyp2rpm-3.3.1
%global pypi_name compreffor

Name:           python-%{pypi_name}
Version:        0.5.6
Release:        %mkrel 3
Summary:        A CFF subroutinizer for fontTools
Group:          Development/Python
License:        Apache 2.0
URL:            https://pypi.org/project/compreffor/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)

%description
A CFF table subroutinizer for FontTools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       compreffor = %{version}-%{release}

%description -n python3-%{pypi_name}
A CFF table subroutinizer for FontTools.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files compreffor

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/compreffor


%changelog
* Mon Mar 03 2025 wally <wally> 0.5.6-3.mga10
+ Revision: 2159648
- rebuild for python3.13

* Mon Jan 27 2025 papoteur <papoteur> 0.5.6-2.mga10
+ Revision: 2142795
- fix tests and requirements

* Sun Dec 15 2024 papoteur <papoteur> 0.5.6-1.mga10
+ Revision: 2125443
- new version 0.5.6

* Tue Jan 16 2024 daviddavid <daviddavid> 0.5.5-2.mga10
+ Revision: 2031476
- rebuild for py3.12

* Fri Oct 13 2023 papoteur <papoteur> 0.5.5-1.mga10
+ Revision: 1995985
- new 0.5.5

* Sat Sep 09 2023 papoteur <papoteur> 0.5.4-1.mga10
+ Revision: 1985562
- new 0.5.4

* Thu Sep 08 2022 neoclust <neoclust> 0.5.2-1.mga9
+ Revision: 1885901
- New version

* Sun Mar 27 2022 umeabot <umeabot> 0.5.1-4.mga9
+ Revision: 1829385
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.5.1-3.mga9
+ Revision: 1783965
- added patch to fix building with python-3.10
- rebuild for python-3.10

* Fri Jun 25 2021 wally <wally> 0.5.1-2.mga9
+ Revision: 1732254
- build using cython
- new version 0.5.1

* Tue Apr 20 2021 daviddavid <daviddavid> 0.5.0-2.mga9
+ Revision: 1717385
- rebuild for python 3.9

* Sat Mar 21 2020 wally <wally> 0.5.0-1.mga8
+ Revision: 1558528
- new version 0.5.0

* Sun Feb 16 2020 umeabot <umeabot> 0.4.6.post1-3.mga8
+ Revision: 1532703
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.4.6.post1-2.mga8
+ Revision: 1442769
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 0.4.6.post1-1.mga8
+ Revision: 1430079
- new version 0.4.6.post1
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.4.6-3.mga7
+ Revision: 1352277
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.4.6-2.mga7
+ Revision: 1300460
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 0.4.6-1.mga7
+ Revision: 1226720
- imported package python-compreffor

